Available in Classic and VPC
View product documents that meet the user-defined conditions.Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/products/{product-id}/document |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID whose document you want to view
|
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
offset |
Long | Optional | Starting point of the response data
|
limit |
Long | Optional | Maximum number of response data
|
apiName |
String | Optional | API name
|
Request example
The following is a sample request.
curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/document' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"apiName": "api000"
}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"apiPage" : {
"total" : 6,
"content" : [ {
"apiName" : "apiName",
"domainCode" : "domainCode",
"stages" : [ {
"deployedStageDeploymentNo" : 0,
"stageName" : "stageName",
"host" : "host",
"stageId" : "stageId"
} ],
"apiDescription" : "apiDescription",
"apiId" : "apiId"
} ]
}
}
Response status codes
For response status codes common to API Gateway, see API Gateway response status codes.
Response example
The following is a sample response.
{
"apiPage": {
"content": [
{
"stages": [
{
"stageId": "***5ei7***",
"stageName": "stage",
"deployedStageDeploymentNo": 251***,
"host": "https://***ksk9***.apigw.ntruss.com"
}
],
"apiId": "***51hs***",
"apiName": "api000",
"apiDescription": "",
"domainCode": "PUB"
}
],
"total": 1
}
}